javax.naming.spi

## Class DirStateFactory.Result

- java.lang.Object
- - javax.naming.spi.DirStateFactory.Result

Enclosing interface:
  DirStateFactory

    public static class DirStateFactory.Result
    extends Object

An object/attributes pair for returning the result of DirStateFactory.getStateToBind().

### Constructor Summary

Constructors
Constructor and Description
`DirStateFactory.Result(Object obj, Attributes outAttrs)` Constructs an instance of Result.

### Method Summary

Methods
`Attributes` `getAttributes()` Retrieves the attributes to be bound.
`Object` `getObject()` Retrieves the object to be bound.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirStateFactory.Result

    public DirStateFactory.Result(Object obj,
                          Attributes outAttrs)

Constructs an instance of Result.

Parameters:
  `obj` - The possibly null object to be bound.
  `outAttrs` - The possibly null attributes to be bound.

### Method Detail

#### getObject

    public Object getObject()

Retrieves the object to be bound.

Returns:
  The possibly null object to be bound.

#### getAttributes

    public Attributes getAttributes()

Retrieves the attributes to be bound.

Returns:
  The possibly null attributes to be bound.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.